# 1. Consulta Cadastro de Clientes

**Endpoint**

```
POST https://cashtrack.com.br/api/cliente/show/cadastros?page=1

```

**Headers**

```

Accept: application/json
Content-Type: application/json
Authorization: Bearer {{SEU_TOKEN}}

```

**Corpo da Requisição (Request Body)**

```json
json
{
  "id": null,
  "apelido": "",
  "empresa": ""
}

```

* `id` (opcional): ID do cliente.
* `apelido`: filtro em modo *like* pelo apelido do cliente.
* `empresa`: Filtro no modo *like* pelo apelido da empresa relacionada ou pelo ID da empresa caso o valor seja apenas números, afetando apenas o retorno das empresas da consulta principal.

**Exemplo de Resposta**

```json
json
{
  "current_page": 1,
  "data": [
    {
          "id": 4745,
          "apelido": "AMAZON VILLAGE",
          "razao_social": "CONDOMINIO RESIDENCIAL AMAZON VILLAGE",
          "tipo_doc": "2",
          "nome_contato": "AMAZON VILLAGE",
          "telefone": "9291391307",
          "email": "AMAZONVILLAGE.ADM@GMAIL.COM",
          "segmento": null,
          "cep": "69041-010",
          "rua": "Avenida do Turismo",
          "bairro": "Tarumã",
          "cidade": "Manaus",
          "estado": "AM",
          "numero": null,
          "documento": "11041713000110",
          "empresas": [
              {
                  "empresa_id": 926
              },
              {
                  "empresa_id": 949
              }
          ]
      }
    
    // ...demais registros
  ],
  "first_page_url": "https://cashtrack.com.br/api/cliente/show/cadastros?page=1",
  "from": 1,
  "last_page": 1,
  "last_page_url": "https://cashtrack.com.br/api/cliente/show/cadastros?page=1",
  "links": [...],
  "next_page_url": null,
  "path": "https://cashtrack.com.br/api/cliente/show/cadastros",
  "per_page": 25,
  "prev_page_url": null,
  "to": 9,
  "total": 9
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cashtrack.com.br/cashtrack-api-v.1.0.2/requisicoes/1.-consulta-cadastro-de-clientes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
